Thin line at the left of Simple Scan's "Scan" headerbar button

Bug #1721102 reported by Jean-Baptiste Lallement on 2017-10-03
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ubuntu theme
Low
Carlo Lobrano
ubuntu-themes (Ubuntu)
Low
Carlo Lobrano
Artful
Low
Carlo Lobrano

Bug Description

[Impact]
There is a thin colored line (green or red) at the left of rounded button, for example in simple-scan in the screenshot attached (I didn't find any other app affected ATM)

[Test case]
1. Run simple scan
2. Expect "Scan" button background color to fill all the space.

4. Start scanning and expect the same for "Stop" button too

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: light-themes 16.10+17.10.20170930-0ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-11.12-generic 4.13.1
Uname: Linux 4.13.0-11-generic x86_64
ApportVersion: 2.20.7-0ubuntu2
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Tue Oct 3 20:16:32 2017
InstallationDate: Installed on 2013-09-03 (1490 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
PackageArchitecture: all
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-themes
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Jean-Baptiste Lallement (jibel) wrote :
summary: - Thin line at the left of rounded button
+ Thin line at the left of rounded buttons

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-themes (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

I'm guessing/hoping this is caused by the use of a dropdown-menu in the button. So not very common.

Changed in ubuntu-themes (Ubuntu):
importance: Undecided → Medium
tags: added: visual-quality
summary: - Thin line at the left of rounded buttons
+ Thin line at the left of Simple Scan's "Scan" headerbar button
Changed in ubuntu-themes:
importance: Undecided → Medium
status: New → Confirmed
tags: removed: wayland-session
Changed in ubuntu-themes:
importance: Medium → Low
Changed in ubuntu-themes (Ubuntu):
importance: Medium → Low
Carlo Lobrano (c-lobrano) wrote :

I fixed something similar recently, I'd like to work on this, too

Changed in ubuntu-themes (Ubuntu):
assignee: nobody → Carlo Lobrano (c-lobrano)
status: Confirmed → In Progress
Changed in ubuntu-themes:
assignee: nobody → Carlo Lobrano (c-lobrano)
status: Confirmed → In Progress
Didier Roche (didrocks) wrote :

With Marco's recent changes to the theme, it's looking actually worse (see the attachement on the duplicated bug: https://launchpadlibrarian.net/341149727/Bildschirmfoto-20171017100606-674x515.png). c-lobrano, any progress on your fix?

The left glitch is allready visible in the screenshot in this bug. But the glitch on the right side of the button could is not. It could be a product of my german system language which expanded the button tue to the german word "Scannen" which is longer than "Scan"

Carlo Lobrano (c-lobrano) wrote :

Hi Didier,

yes, I notified Marco about that and I needed to rework the initial fix, but a first proposal should be ready today or tomorrow at the most.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 16.10+18.04.20171114-0ubuntu1

---------------
ubuntu-themes (16.10+18.04.20171114-0ubuntu1) bionic; urgency=medium

  [ Andrea Azzarone ]
  * Fix osd progress bar look. (LP: #1724808)

  [ Carlo Lobrano ]
  * Ambiance, Radiance: fix horizontal linked suggested-action and
    destructive-action (LP: #1721102)
  * Ambiance, Radiance: Fixed border in switcher widget (LP: #1719355)

  [ Marco Trevisan (Treviño) ]
  * Ambiance, Radiance (gtk2): remove undefined "murrine-scrollbar" from
    mate panel (LP: #1723422)
  * Ambiance, Radiance: add theming for headerbar .destructive-action
    button's (LP: #1726318)
  * Ambiance, Radiance: Use inverted gradient for button actions in
    maximized titlebars (LP: #1726322)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 14 Nov 2017 17:50:15 +0000

Changed in ubuntu-themes (Ubuntu):
status: In Progress → Fix Released

Hello Jean-Baptiste, or anyone else affected,

Accepted ubuntu-themes into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-themes/16.10+17.10.20171115-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-themes (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful

SRU verification for Artful:
I have reproduced the problem with ubuntu-themes 16.10+17.10.20171012.1-0ubuntu1 in artful and have verified that the version of ubuntu-themes 16.10+17.10.20171115-0ubuntu1 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Changed in ubuntu-themes (Ubuntu Artful):
importance: Undecided → Low
assignee: nobody → Carlo Lobrano (c-lobrano)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 16.10+17.10.20171115-0ubuntu1

---------------
ubuntu-themes (16.10+17.10.20171115-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Fix osd progress bar look. (LP: #1724808)

  [ Carlo Lobrano ]
  * Ambiance, Radiance: Fixed border in switcher widget (LP: #1719355)
  * Ambiance, Radiance: fix horizontal linked suggested-action and
    destructive-action (LP: #1721102)

  [ Marco Trevisan (Treviño) ]
  * Ambiance, Radiance (gtk2): remove undefined "murrine-scrollbar" from
    mate panel (LP: #1723422)
  * Ambiance, Radiance: add theming for headerbar .destructive-action
    button's (LP: #1726318)
  * Ambiance, Radiance: Use inverted gradient for button actions in
    maximized titlebars (LP: #1726322)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 15 Nov 2017 06:59:57 +0000

Changed in ubuntu-themes (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-themes has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Carlo Lobrano (c-lobrano) wrote :

Shouldn't this ticket be closed now?

Daniel van Vugt (vanvugt) wrote :

Yep.

Changed in ubuntu-themes:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers